/*
 * Copyright (C) 2013 The Android Open Source Project
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

package xyz.arpith.blearduino;

import java.util.HashMap;

/**
 * This class includes a small subset of standard GATT attributes for demonstration purposes.
 */
public class SampleGattAttributes {
    private static HashMap<String, String> attributes = new HashMap();
    public static String CLIENT_CHARACTERISTIC_CONFIG = "00002902-0000-1000-8000-00805f9b34fb";
//    public static String HM_10_CONF = "0000ffe0-0000-1000-8000-00805f9b34fb";
//    public static String HM_RX_TX = "0000ffe1-0000-1000-8000-00805f9b34fb";
   // "000002a05-0000-1000-8000-00805f9b34fb";//
    public static String RF4871_RX_TX = "49535343-FE7D-4AE5-8FA9-9FAFD205E455";//.toLowerCase();
    public static String RF4871_TX = "49535343-1E4D-4BD9-BA61-23C647249616";
    public static String RF4871_RX = "49535343-8841-43F4-A8D4-ECBE34729BB3";


    static {
        // HM10
//        attributes.put(HM_10_CONF, "HM 10 Serial");
        attributes.put("00001800-0000-1000-8000-00805f9b34fb", "Device Information Service");
//        attributes.put("00002a29-0000-1000-8000-00805f9b34fb", "Manufacturer Name String");
//        attributes.put(HM_RX_TX,"RX/TX data");

        //RN4871
        attributes.put(RF4871_RX_TX,"RF4871 Transparent UART Service");
        attributes.put(RF4871_TX,"RF4871 UART TX");
        attributes.put(RF4871_RX,"RF4871 UART RX");
    }

    public static String lookup(String uuid, String defaultName) {
        String name = attributes.get(uuid);
        return name == null ? defaultName : name;
    }
}
