package xyz.arpith.blearduino;

/**
 * Created by biejh on 12/06/2019.
 */

public class VibrationDataPoint {
    private int intensity; //between 10 and 1000
    private int duration; //between 10 and 1000ms
    private int pause; //between 10 and 1000ms

    public VibrationDataPoint(int intensity, int duration, int pause){
        this.intensity = intensity;
        this.duration = duration;
        this.pause = pause;
    }

    public VibrationDataPoint(byte[] dataPoint){
        if(dataPoint.length == 3) {
            setIntensity(((int)dataPoint[0]& 0xFF)*10);
            setDuration(((int)dataPoint[1]& 0xFF)*10);
            setPause(((int)dataPoint[2]& 0xFF)*10);
        }else{
            throw new DataPointInvalidError();
        }
    }

    public int getIntensity() {
        return intensity;
    }

    public void setIntensity(int intensity) {
        this.intensity = intensity;
    }

    public int getDuration() {
        return duration;
    }

    public void setDuration(int duration) {
        this.duration = duration;
    }

    public int getPause() {
        return pause;
    }

    public void setPause(int pause) {
        this.pause = pause;
    }

    public byte[] toByteArray(){
        return new byte[]{(byte)intensity, (byte)duration, (byte)pause};
    }

    public String toString(){
        return "{ intensity:"+intensity+", duration:"+duration+", pause:"+pause+" }";
    }
}
